/*
hero.css
Created: 3/22/2026
Last Edited 6/4/2026
Author: John Wesley Thompson
*/
#hero-section {
    position: relative;
    display: flex;
    justify-content: center;

    padding: 0;
    height: 90vh;

    background-color: black;
    overflow: hidden;
}
#hero-section::after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 30px;
    background: linear-gradient(to top, black, transparent);
    pointer-events: none;
}

#hero-text {
    position: absolute;
    transform-origin: center center;
    top: 10%;
    pointer-events: none;

    display: flex;
    flex-direction: column;
    align-items: center;

    h1 {
        position: relative;
        font-family: var(--anchor-font);
        font-size: clamp(2rem, 2.2vw + 1rem, 4rem);
        /* font-size: 3.5rem; */
        font-weight: 400;

        padding: 0;
        margin: 0;

        z-index: 0;
    }

    h3 {
        position: relative;
        font-family: var(--body-font);
        font-size: clamp(1.6rem, 1.3vw + 1rem, 2.8rem);
        /* font-size: 2.5rem; */
        font-style: italic;
        font-weight: 400;

        padding: 0;
        margin: 0;

        z-index: 0;
    }
}
#hero-text h1::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: -10px;
    padding: 0 10px;
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 30px;
    filter: blur(12px);

    z-index: -1;
}
#hero-text h3::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: -15px;
    padding-inline: 15px;
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 10px;
    filter: blur(12px);

    z-index: -1;
}

#hero-text::after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
}